Update agent

Required scope: convai:write

Path Parameters
  • id
    Type: string
    required

    Agent ID

Body·
required
application/json
  • configuration
    Type: object ·
    required
  • name
    Type: string
    required

    Human-readable agent name

  • created_at
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • id
    Type: string

    Unique agent identifier

  • updated_at
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses
  • application/json
  • application/json
Request Example for put/agents/{id}
curl 'https://api.simwood.com/convai/v1/agents/{id}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": "",
  "name": "",
  "configuration": {
    "asr": {
      "keywords": [
        ""
      ]
    },
    "turn": {
      "timeout_seconds": 1,
      "silence_timeout_seconds": 1
    },
    "tts": {
      "voice_id": "",
      "settings": {
        "stability": 1,
        "similarity_boost": 1,
        "speed": 1
      }
    },
    "agent": {
      "first_message": "",
      "language": "",
      "prompt": {
        "text": "",
        "temperature": 1,
        "model": ""
      },
      "knowledge_base": [
        {
          "type": "url",
          "source": "",
          "id": ""
        }
      ]
    },
    "conversation": {
      "max_duration_seconds": 1
    },
    "analysis": {
      "data_collection": {
        "additionalProperty": {
          "type": "boolean",
          "description": "",
          "dynamic_variable": "",
          "constant_value": ""
        }
      }
    }
  },
  "created_at": "",
  "updated_at": ""
}'
{
  "id": "string",
  "name": "string",
  "configuration": {
    "asr": {
      "keywords": [
        "string"
      ]
    },
    "turn": {
      "timeout_seconds": 1,
      "silence_timeout_seconds": 1
    },
    "tts": {
      "voice_id": "string",
      "settings": {
        "stability": 1,
        "similarity_boost": 1,
        "speed": 1
      }
    },
    "agent": {
      "first_message": "string",
      "language": "string",
      "prompt": {
        "text": "string",
        "temperature": 1,
        "model": "string"
      },
      "knowledge_base": [
        {
          "type": "url",
          "source": "string",
          "id": "string"
        }
      ]
    },
    "conversation": {
      "max_duration_seconds": 1
    },
    "analysis": {
      "data_collection": {
        "additionalProperty": {
          "type": "boolean",
          "description": "string",
          "dynamic_variable": "string",
          "constant_value": "string"
        }
      }
    }
  },
  "created_at": "2026-07-18T10:26:52.866Z",
  "updated_at": "2026-07-18T10:26:52.866Z"
}